Bug 5988 - imake dumps core
: imake dumps core
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xorg-x11-devel)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-29 06:11 by
Modified: 2005-09-04 23:01 (History)


Attachments
patch (2.02 KB, patch)
2005-02-09 15:42, Valery Inozemtsev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-29 06:11:23
Листинг ниже. У меня работает pam0_mktemp; не могло ли это повлиять? Дело в
том,
что когда я собираю свой пакет в hasher'е, imake при сборке этого пакета
отрабатывает нормально.

$ imake
sh: line 1: /tmp/imakeAs7Wh6: Permission denied
zsh: 12057 abort (core dumped)  imake
$ ls /tmp/imakeAs7Wh6
ls: /tmp/imakeAs7Wh6: No such file or directory
$ cat Imakefile
acfindx:
        @echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}";
ac_im_libdir="${LIBDIR}"'

$ cat Imakefile.c
/* imake - temporary file */
#define DefaultOSName Linux 2.6.9-wks26-up-alt3 i686
#define DefaultOSMajorVersion 2
#define DefaultOSMinorVersion 6
#define DefaultOSTeenyVersion 9
#define CrossCompiling NO
#define LinuxUnknown    0
#define LinuxSuSE       1
#define LinuxCaldera    2
#define LinuxCraftworks 3
#define LinuxDebian     4
#define LinuxInfoMagic  5
#define LinuxKheops     6
#define LinuxALT        7
#define LinuxRedHat     8
#define LinuxSlackware  9
#define LinuxTurbo      10
#define LinuxWare       11
#define LinuxYggdrasil  12
#define DefaultLinuxDistribution LinuxALT
#define DefaultLinuxDistName ALTLinux
$
------- Comment #1 From 2005-02-01 16:36:06 -------
/tmp/imakeAs7Wh6: Permission denied - это не есть бага. разбирайтесь почему не
возможно создать временные файлы
------- Comment #2 From 2005-02-01 16:38:52 -------
А почему временные файлы создаются в /tmp, а не в /tmp/.private/ktirf?
------- Comment #3 From 2005-02-01 16:46:08 -------
откуда мне знать что у вас в системе творится. разбирайтесь с pam_mktemp,
TMPDIR
видно не передается
------- Comment #4 From 2005-02-01 16:49:47 -------
Прошу прощения, не написал сразу: в шелле $TMPDIR есть и равен
/tmp/.private/ktirf. В общем, понятно, придется самому в исходники imake лезть.
------- Comment #5 From 2005-02-09 12:49:45 -------
Соблаговолите посмотреть в файл xc/config/imake.c в исходниках xorg, и обратите
внимание на строки 332 и 333.
------- Comment #6 From 2005-02-09 14:50:32 -------
и какие предложения?
------- Comment #7 From 2005-02-09 14:56:07 -------
Использовать не hardcoded /tmp, а $TMPDIR.
------- Comment #8 From 2005-02-09 15:06:47 -------
патч в студию
------- Comment #9 From 2005-02-09 15:13:15 -------
<grumble>мне тоже неохота вспоминать, как правильно получать значение
переменной
окружения...</grumble>
Ok, будет патч.
------- Comment #10 From 2005-02-09 15:42:05 -------
Created an attachment (id=724) [details]
patch
------- Comment #11 From 2005-02-09 15:42:40 -------
что-то типа этого
------- Comment #12 From 2005-02-10 22:51:40 -------
fixed in 6.8.2-alt3